Bug 451226 - Publican and Maven inter-operation
Publican and Maven inter-operation
Status: CLOSED WONTFIX
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-13 10:25 EDT by kittoli
Modified: 2010-11-23 23:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-15 20:50:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Book Template that builds in both publican and maven. (1.42 MB, application/x-gzip)
2008-06-13 10:25 EDT, kittoli
no flags Details

  None (edit)
Description kittoli 2008-06-13 10:25:49 EDT
Find attached a typical Book Template which builds in both publican and maven.
Added pom.xml file used by maven as a config file for the book. Request to
include the Makefile and pom.xml automatically when creating new books to allow
users to build books in both Publican and Maven.
Comment 1 kittoli 2008-06-13 10:25:49 EDT
Created attachment 309217 [details]
Book Template that builds in both publican and maven.
Comment 2 Jeff Fearn 2008-06-15 20:50:54 EDT
While I am happy to work with developers of other tool chains to maintain and
improve compatibility, I am not prepared to introduce files unrelated to
publican in to the publican source.

The correct approach to this would be for the developers of the other tool chain
to write a script to create pom.xml from the contents of the Makefile and
Book_Info.xml. This would be a much more useful approach given the large number
of existing documents using publican.

Note You need to log in before you can comment on or make changes to this bug.